/* tidy-1.0.vapi generated by vapigen, do not modify. */

[CCode (cprefix = "Tidy", lower_case_cprefix = "tidy_")]
namespace Tidy {
	[CCode (cprefix = "TIDY_CELL_", cheader_filename = "tidy/tidy.h"")]
	public enum CellState {
		HEADER,
		NORMAL,
		SELECTED,
		INACTIVE,
		SORTING
	}
	[CCode (cprefix = "TIDY_FINGER_SCROLL_MODE_", cheader_filename = "tidy/tidy.h"")]
	public enum FingerScrollMode {
		PUSH,
		KINETIC
	}
	[CCode (cprefix = "TIDY_POS_", cheader_filename = "tidy/tidy.h"")]
	public enum Position {
		TOP,
		BOTTOM,
		LEFT,
		RIGHT
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class Padding : GLib.Boxed {
		public Clutter.Unit top;
		public Clutter.Unit right;
		public Clutter.Unit bottom;
		public Clutter.Unit left;
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class Actor : Clutter.Actor, Clutter.Scriptable, Tidy.Stylable {
		public void get_alignment (double x_align, double y_align);
		public void get_alignmentx (out Clutter.Fixed x_align, out Clutter.Fixed y_align);
		public void get_padding (Tidy.Padding padding);
		public void set_alignment (double x_align, double y_align);
		public void set_alignmentx (Clutter.Fixed x_align, Clutter.Fixed y_align);
		public void set_padding (Tidy.Padding padding);
		public weak Tidy.Padding padding { get; set; }
		[NoAccessorMethod]
		public weak double x_align { get; set; }
		[NoAccessorMethod]
		public weak double y_align { get; set; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class Adjustment : GLib.Object {
		public void clamp_page (double lower, double upper);
		public void clamp_pagex (Clutter.Fixed lower, Clutter.Fixed upper);
		public double get_value ();
		public void get_values (double value, double lower, double upper, double step_increment, double page_increment, double page_size);
		public void get_valuesx (out Clutter.Fixed value, out Clutter.Fixed lower, out Clutter.Fixed upper, out Clutter.Fixed step_increment, out Clutter.Fixed page_increment, out Clutter.Fixed page_size);
		public Clutter.Fixed get_valuex ();
		public void interpolate (double value, uint n_frames, uint fps);
		public void interpolatex (Clutter.Fixed value, uint n_frames, uint fps);
		public Adjustment (double value, double lower, double upper, double step_increment, double page_increment, double page_size);
		[CCode (cname = "tidy_adjustment_newx")]
		public Adjustment.newx (Clutter.Fixed value, Clutter.Fixed lower, Clutter.Fixed upper, Clutter.Fixed step_increment, Clutter.Fixed page_increment, Clutter.Fixed page_size);
		public void set_value (double value);
		public void set_values (double value, double lower, double upper, double step_increment, double page_increment, double page_size);
		public void set_valuesx (Clutter.Fixed value, Clutter.Fixed lower, Clutter.Fixed upper, Clutter.Fixed step_increment, Clutter.Fixed page_increment, Clutter.Fixed page_size);
		public void set_valuex (Clutter.Fixed value);
		[NoAccessorMethod]
		public weak double lower { get; set; }
		[NoAccessorMethod]
		public weak double page_increment { get; set; }
		[NoAccessorMethod]
		public weak double page_size { get; set; }
		[NoAccessorMethod]
		public weak double step_increment { get; set; }
		[NoAccessorMethod]
		public weak double upper { get; set; }
		public weak double value { get; set; }
		public signal void changed ();
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class BehaviourBounce : Clutter.Behaviour {
		public BehaviourBounce (Clutter.Alpha alpha);
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class BehaviourGrow : Clutter.Behaviour {
		public BehaviourGrow (Clutter.Alpha alpha, uint w_start, uint h_start, uint w_end, uint h_end);
		[NoAccessorMethod]
		public weak uint height_end { get; set; }
		[NoAccessorMethod]
		public weak uint height_start { get; set; }
		[NoAccessorMethod]
		public weak uint width_end { get; set; }
		[NoAccessorMethod]
		public weak uint width_start { get; set; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class Button : Tidy.Frame, Clutter.Scriptable, Tidy.Stylable, Clutter.Container {
		public weak string get_label ();
		public Button ();
		public Button.with_label (string text);
		public void set_label (string text);
		[NoWrapper]
		public virtual void pressed ();
		[NoWrapper]
		public virtual void released ();
		public weak string label { get; set; }
		public signal void clicked ();
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class CellRenderer : GLib.InitiallyUnowned {
		public void get_alignment (double x_align, double y_align);
		public void get_alignmentx (out Clutter.Fixed x_align, out Clutter.Fixed y_align);
		public void set_alignment (double x_align, double y_align);
		public void set_alignmentx (Clutter.Fixed x_align, Clutter.Fixed y_align);
		public virtual weak Clutter.Actor get_cell_actor (Tidy.Actor list_view, GLib.Value value, Tidy.CellState state, Clutter.Geometry size, int row, int column);
		[NoAccessorMethod]
		public weak double x_align { get; set; }
		[NoAccessorMethod]
		public weak double y_align { get; set; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class CellRendererDefault : Tidy.CellRenderer {
		public CellRendererDefault ();
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class DepthGroup : Clutter.Group, Clutter.Scriptable, Clutter.Container {
		public DepthGroup ();
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class FingerScroll : Tidy.ScrollView, Clutter.Scriptable, Tidy.Stylable, Clutter.Container {
		public FingerScroll (Tidy.FingerScrollMode mode);
		public void stop ();
		[NoAccessorMethod]
		public weak Tidy.FingerScrollMode mode { get; set; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class FingerToggle : Tidy.Frame, Clutter.Scriptable, Tidy.Stylable, Clutter.Container {
		public bool get_active ();
		public weak Clutter.Actor get_handle ();
		public FingerToggle ();
		public void set_active (bool is_active);
		public void set_handle (Clutter.Actor handle);
		public weak bool active { get; set; }
		public weak Clutter.Actor handle { get; set; }
		public signal void toggled ();
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class Frame : Tidy.Actor, Clutter.Scriptable, Tidy.Stylable, Clutter.Container {
		public weak Clutter.Actor get_child ();
		public weak Clutter.Actor get_texture ();
		public Frame ();
		public void set_texture (Clutter.Actor actor);
		[NoAccessorMethod]
		public weak Clutter.Actor child { get; set; }
		public weak Clutter.Actor texture { get; set; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class ListColumn : GLib.InitiallyUnowned {
		public weak Tidy.CellRenderer get_cell_renderer ();
		public weak Tidy.CellRenderer get_header_renderer ();
		public int get_max_width ();
		public Clutter.Unit get_max_widthu ();
		public int get_min_width ();
		public Clutter.Unit get_min_widthu ();
		public uint get_model_index ();
		public weak string get_title ();
		public bool get_visible ();
		public uint get_width ();
		public Clutter.Unit get_widthu ();
		public void set_cell_renderer (Tidy.CellRenderer renderer);
		public void set_header_renderer (Tidy.CellRenderer renderer);
		public void set_max_width (int max_width);
		public void set_max_widthu (Clutter.Unit max_width);
		public void set_min_width (int min_width);
		public void set_min_widthu (Clutter.Unit min_width);
		public void set_visible (bool visible);
		public weak Tidy.CellRenderer cell_renderer { get; set; }
		public weak Tidy.CellRenderer header_renderer { get; set; }
		[NoAccessorMethod]
		public weak Tidy.ListView list_view { get; construct; }
		public weak int max_width { get; set; }
		public weak int min_width { get; set; }
		[NoAccessorMethod]
		public weak uint model_index { get; construct; }
		public weak string title { get; }
		public weak bool visible { get; set; }
		public weak uint width { get; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class ListColumnDefault : Tidy.ListColumn {
		public ListColumnDefault (Tidy.ListView list_view, uint model_index);
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class ListView : Tidy.Actor, Clutter.Scriptable, Tidy.Stylable, Tidy.Scrollable {
		public int add_column (Tidy.ListColumn column);
		public weak Tidy.ListColumn get_column (int column_id);
		public weak Clutter.Model get_model ();
		public int get_row_at_pos (int x_coord, int y_coord);
		public bool get_rules_hint ();
		public bool get_show_headers ();
		public ListView (Clutter.Model model);
		public void set_model (Clutter.Model model);
		public void set_rules_hint (bool rules_hint);
		public void set_show_headers (bool show_headers);
		[NoWrapper]
		public virtual weak Tidy.ListColumn create_column (uint model_id);
		public weak Clutter.Model model { get; set; }
		public weak bool rules_hint { get; set; }
		public weak bool show_headers { get; set; }
		public signal void row_clicked (Clutter.Model model, Clutter.ModelIter iter);
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class Notebook : Tidy.Actor, Clutter.Scriptable, Tidy.Stylable {
		public int get_current_page ();
		public int get_n_pages ();
		public weak Clutter.Actor get_nth_label (int page_num);
		public weak Clutter.Actor get_nth_page (int page_num);
		public bool get_scrollable ();
		public double get_tab_alignment ();
		public Tidy.Position get_tab_position ();
		public void insert_page (Clutter.Actor label, Clutter.Actor page, int position);
		public Notebook ();
		public void remove_page (int page_num);
		public void reorder_page (int position, int new_position);
		public void set_current_page (int page_num);
		public void set_scrollable (bool scrollable);
		public void set_tab_alignment (double alignment);
		public void set_tab_position (Tidy.Position position);
		public void transition_complete (Clutter.Actor old_page);
		[NoWrapper]
		public virtual void transition (Clutter.Actor old_page, Clutter.Actor new_page);
		public weak int current_page { get; set; }
		public weak bool scrollable { get; set; }
		public weak double tab_alignment { get; set; }
		public weak Tidy.Position tab_position { get; set; }
		public signal void page_added (uint page_num);
		public signal void page_removed (uint page_num);
		public signal void page_reordered (uint old_page_num, uint new_page_num);
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class ProxyTexture : Clutter.Actor, Clutter.Scriptable {
		public weak string get_path ();
		public ProxyTexture (string path);
		[NoAccessorMethod]
		public weak string path { get; set; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class ScrollBar : Tidy.Frame, Clutter.Scriptable, Tidy.Stylable, Clutter.Container {
		public weak Tidy.Adjustment get_adjustment ();
		public weak Clutter.Actor get_handle ();
		public ScrollBar (Tidy.Adjustment adjustment);
		public ScrollBar.with_handle (Tidy.Adjustment adjustment, Clutter.Actor handle);
		public void set_adjustment (Tidy.Adjustment adjustment);
		public void set_handle (Clutter.Actor handle);
		public weak Tidy.Adjustment adjustment { get; set; }
		public weak Clutter.Actor handle { get; set; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class ScrollView : Tidy.Actor, Clutter.Scriptable, Tidy.Stylable, Clutter.Container {
		public weak Clutter.Actor get_child ();
		public weak Clutter.Actor get_hscroll_bar ();
		public weak Clutter.Actor get_vscroll_bar ();
		public ScrollView ();
		public weak Clutter.Actor child { get; }
		[NoAccessorMethod]
		public weak Tidy.ScrollBar hscroll { get; }
		[NoAccessorMethod]
		public weak Tidy.ScrollBar vscroll { get; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class Style : GLib.Object {
		public void add_effect (string effect_name);
		public void add_property (string property_name, GLib.Type property_type);
		public static weak Tidy.Style get_default ();
		public weak Clutter.Timeline get_effect (string effect_name, Clutter.Actor actor);
		public void get_property (string property_name, GLib.Value value);
		public bool has_effect (string effect_name);
		public bool has_property (string property_name);
		public Style ();
		public void set_effect (string effect_name, uint duration, GLib.Type behaviour_type, Clutter.AlphaFunc alpha_func, ...);
		public void set_effectv (string effect_name, uint duration, GLib.Type behaviour_type, Clutter.AlphaFunc alpha_func, uint n_parameters, GLib.Parameter parameters);
		public void set_property (string property_name, GLib.Value value);
		public signal void changed ();
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class TextureCache : GLib.Object {
		public static weak Tidy.TextureCache get_default ();
		public int get_size ();
		public weak Clutter.Actor get_texture (string path, bool want_clone);
		public TextureCache ();
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class TextureFrame : Clutter.CloneTexture, Clutter.Scriptable {
		public TextureFrame (Clutter.Texture texture, int left, int top, int right, int bottom);
		[NoAccessorMethod]
		public weak int bottom { get; set; }
		[NoAccessorMethod]
		public weak int left { get; set; }
		[NoAccessorMethod]
		public weak int right { get; set; }
		[NoAccessorMethod]
		public weak int top { get; set; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class TextureReflection : Clutter.CloneTexture, Clutter.Scriptable {
		public int get_reflection_height ();
		public TextureReflection (Clutter.Texture parent_texture);
		public void set_reflection_height (int height);
		public weak int reflection_height { get; set; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public class Viewport : Clutter.Group, Clutter.Scriptable, Clutter.Container, Tidy.Scrollable {
		public void get_origin (int x, int y, int z);
		public void get_originu (out Clutter.Unit x, out Clutter.Unit y, out Clutter.Unit z);
		public Viewport ();
		public void set_origin (int x, int y, int z);
		public void set_originu (Clutter.Unit x, Clutter.Unit y, Clutter.Unit z);
		[NoAccessorMethod]
		public weak bool sync_adjustments { get; set; }
		[NoAccessorMethod]
		public weak int x_origin { get; set; }
		[NoAccessorMethod]
		public weak int y_origin { get; set; }
		[NoAccessorMethod]
		public weak int z_origin { get; set; }
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public interface Scrollable {
		public abstract void get_adjustments (out weak Tidy.Adjustment hadjustment, out weak Tidy.Adjustment vadjustment);
		public abstract void set_adjustments (Tidy.Adjustment hadjustment, Tidy.Adjustment vadjustment);
	}
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public interface Stylable {
		public weak GLib.ParamSpec find_property (string property_name);
		public void freeze_notify ();
		public void get (...);
		public void get_property (string property_name, GLib.Value value);
		public weak GLib.ParamSpec list_properties (uint n_props);
		public void notify (string property_name);
		public void set (...);
		public void set_property (string property_name, GLib.Value value);
		public void thaw_notify ();
		public abstract weak Tidy.Style get_style ();
		public abstract void set_style (Tidy.Style style);
		public signal void style_notify (GLib.ParamSpec pspec);
		public signal void style_set (Tidy.Style old_style);
	}
	public const string ACTIVE_COLOR;
	public const string BACKGROUND_COLOR;
	public const string FONT_NAME;
	public const int MAJOR_VERSION;
	public const int MICRO_VERSION;
	public const int MINOR_VERSION;
	public const string TEXT_COLOR;
	public const int VERSION_HEX;
	public const string VERSION_S;
	[CCode (cheader_filename = "tidy/tidy.h"")]
	public static void util_preload_glyphs (string font);
}
