<?xml version="1.0"?>
<api version="1.0">
	<namespace name="Tidy">
		<function name="util_preload_glyphs" symbol="tidy_util_preload_glyphs">
			<return-type type="void"/>
			<parameters>
				<parameter name="font" type="char*"/>
			</parameters>
		</function>
		<boxed name="TidyPadding" type-name="TidyPadding" get-type="tidy_padding_get_type">
			<field name="top" type="ClutterUnit"/>
			<field name="right" type="ClutterUnit"/>
			<field name="bottom" type="ClutterUnit"/>
			<field name="left" type="ClutterUnit"/>
		</boxed>
		<enum name="TidyCellState" type-name="TidyCellState" get-type="tidy_cell_state_get_type">
			<member name="TIDY_CELL_HEADER" value="0"/>
			<member name="TIDY_CELL_NORMAL" value="1"/>
			<member name="TIDY_CELL_SELECTED" value="2"/>
			<member name="TIDY_CELL_INACTIVE" value="3"/>
			<member name="TIDY_CELL_SORTING" value="4"/>
		</enum>
		<enum name="TidyFingerScrollMode" type-name="TidyFingerScrollMode" get-type="tidy_finger_scroll_mode_get_type">
			<member name="TIDY_FINGER_SCROLL_MODE_PUSH" value="0"/>
			<member name="TIDY_FINGER_SCROLL_MODE_KINETIC" value="1"/>
		</enum>
		<enum name="TidyPosition" type-name="TidyPosition" get-type="tidy_position_get_type">
			<member name="TIDY_POS_TOP" value="0"/>
			<member name="TIDY_POS_BOTTOM" value="1"/>
			<member name="TIDY_POS_LEFT" value="2"/>
			<member name="TIDY_POS_RIGHT" value="3"/>
		</enum>
		<object name="TidyActor" parent="ClutterActor" type-name="TidyActor" get-type="tidy_actor_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="TidyStylable"/>
			</implements>
			<method name="get_alignment" symbol="tidy_actor_get_alignment">
				<return-type type="void"/>
				<parameters>
					<parameter name="actor" type="TidyActor*"/>
					<parameter name="x_align" type="gdouble*"/>
					<parameter name="y_align" type="gdouble*"/>
				</parameters>
			</method>
			<method name="get_alignmentx" symbol="tidy_actor_get_alignmentx">
				<return-type type="void"/>
				<parameters>
					<parameter name="actor" type="TidyActor*"/>
					<parameter name="x_align" type="ClutterFixed*"/>
					<parameter name="y_align" type="ClutterFixed*"/>
				</parameters>
			</method>
			<method name="get_padding" symbol="tidy_actor_get_padding">
				<return-type type="void"/>
				<parameters>
					<parameter name="actor" type="TidyActor*"/>
					<parameter name="padding" type="TidyPadding*"/>
				</parameters>
			</method>
			<method name="set_alignment" symbol="tidy_actor_set_alignment">
				<return-type type="void"/>
				<parameters>
					<parameter name="actor" type="TidyActor*"/>
					<parameter name="x_align" type="gdouble"/>
					<parameter name="y_align" type="gdouble"/>
				</parameters>
			</method>
			<method name="set_alignmentx" symbol="tidy_actor_set_alignmentx">
				<return-type type="void"/>
				<parameters>
					<parameter name="actor" type="TidyActor*"/>
					<parameter name="x_align" type="ClutterFixed"/>
					<parameter name="y_align" type="ClutterFixed"/>
				</parameters>
			</method>
			<method name="set_padding" symbol="tidy_actor_set_padding">
				<return-type type="void"/>
				<parameters>
					<parameter name="actor" type="TidyActor*"/>
					<parameter name="padding" type="TidyPadding*"/>
				</parameters>
			</method>
			<property name="padding" type="TidyPadding*" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="x-align" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="y-align" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
		</object>
		<object name="TidyAdjustment" parent="GObject" type-name="TidyAdjustment" get-type="tidy_adjustment_get_type">
			<method name="clamp_page" symbol="tidy_adjustment_clamp_page">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="lower" type="gdouble"/>
					<parameter name="upper" type="gdouble"/>
				</parameters>
			</method>
			<method name="clamp_pagex" symbol="tidy_adjustment_clamp_pagex">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="lower" type="ClutterFixed"/>
					<parameter name="upper" type="ClutterFixed"/>
				</parameters>
			</method>
			<method name="get_value" symbol="tidy_adjustment_get_value">
				<return-type type="gdouble"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
				</parameters>
			</method>
			<method name="get_values" symbol="tidy_adjustment_get_values">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="value" type="gdouble*"/>
					<parameter name="lower" type="gdouble*"/>
					<parameter name="upper" type="gdouble*"/>
					<parameter name="step_increment" type="gdouble*"/>
					<parameter name="page_increment" type="gdouble*"/>
					<parameter name="page_size" type="gdouble*"/>
				</parameters>
			</method>
			<method name="get_valuesx" symbol="tidy_adjustment_get_valuesx">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="value" type="ClutterFixed*"/>
					<parameter name="lower" type="ClutterFixed*"/>
					<parameter name="upper" type="ClutterFixed*"/>
					<parameter name="step_increment" type="ClutterFixed*"/>
					<parameter name="page_increment" type="ClutterFixed*"/>
					<parameter name="page_size" type="ClutterFixed*"/>
				</parameters>
			</method>
			<method name="get_valuex" symbol="tidy_adjustment_get_valuex">
				<return-type type="ClutterFixed"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
				</parameters>
			</method>
			<method name="interpolate" symbol="tidy_adjustment_interpolate">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="value" type="gdouble"/>
					<parameter name="n_frames" type="guint"/>
					<parameter name="fps" type="guint"/>
				</parameters>
			</method>
			<method name="interpolatex" symbol="tidy_adjustment_interpolatex">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="value" type="ClutterFixed"/>
					<parameter name="n_frames" type="guint"/>
					<parameter name="fps" type="guint"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_adjustment_new">
				<return-type type="TidyAdjustment*"/>
				<parameters>
					<parameter name="value" type="gdouble"/>
					<parameter name="lower" type="gdouble"/>
					<parameter name="upper" type="gdouble"/>
					<parameter name="step_increment" type="gdouble"/>
					<parameter name="page_increment" type="gdouble"/>
					<parameter name="page_size" type="gdouble"/>
				</parameters>
			</constructor>
			<constructor name="newx" symbol="tidy_adjustment_newx">
				<return-type type="TidyAdjustment*"/>
				<parameters>
					<parameter name="value" type="ClutterFixed"/>
					<parameter name="lower" type="ClutterFixed"/>
					<parameter name="upper" type="ClutterFixed"/>
					<parameter name="step_increment" type="ClutterFixed"/>
					<parameter name="page_increment" type="ClutterFixed"/>
					<parameter name="page_size" type="ClutterFixed"/>
				</parameters>
			</constructor>
			<method name="set_value" symbol="tidy_adjustment_set_value">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="value" type="gdouble"/>
				</parameters>
			</method>
			<method name="set_values" symbol="tidy_adjustment_set_values">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="value" type="gdouble"/>
					<parameter name="lower" type="gdouble"/>
					<parameter name="upper" type="gdouble"/>
					<parameter name="step_increment" type="gdouble"/>
					<parameter name="page_increment" type="gdouble"/>
					<parameter name="page_size" type="gdouble"/>
				</parameters>
			</method>
			<method name="set_valuesx" symbol="tidy_adjustment_set_valuesx">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="value" type="ClutterFixed"/>
					<parameter name="lower" type="ClutterFixed"/>
					<parameter name="upper" type="ClutterFixed"/>
					<parameter name="step_increment" type="ClutterFixed"/>
					<parameter name="page_increment" type="ClutterFixed"/>
					<parameter name="page_size" type="ClutterFixed"/>
				</parameters>
			</method>
			<method name="set_valuex" symbol="tidy_adjustment_set_valuex">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="value" type="ClutterFixed"/>
				</parameters>
			</method>
			<property name="lower" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="page-increment" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="page-size" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="step-increment" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="upper" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="value" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
			<signal name="changed" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
				</parameters>
			</signal>
		</object>
		<object name="TidyBehaviourBounce" parent="ClutterBehaviour" type-name="TidyBehaviourBounce" get-type="tidy_behaviour_bounce_get_type">
			<constructor name="new" symbol="tidy_behaviour_bounce_new">
				<return-type type="ClutterBehaviour*"/>
				<parameters>
					<parameter name="alpha" type="ClutterAlpha*"/>
				</parameters>
			</constructor>
		</object>
		<object name="TidyBehaviourGrow" parent="ClutterBehaviour" type-name="TidyBehaviourGrow" get-type="tidy_behaviour_grow_get_type">
			<constructor name="new" symbol="tidy_behaviour_grow_new">
				<return-type type="ClutterBehaviour*"/>
				<parameters>
					<parameter name="alpha" type="ClutterAlpha*"/>
					<parameter name="w_start" type="guint"/>
					<parameter name="h_start" type="guint"/>
					<parameter name="w_end" type="guint"/>
					<parameter name="h_end" type="guint"/>
				</parameters>
			</constructor>
			<property name="height-end" type="guint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="height-start" type="guint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="width-end" type="guint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="width-start" type="guint" readable="1" writable="1" construct="0" construct-only="0"/>
		</object>
		<object name="TidyButton" parent="TidyFrame" type-name="TidyButton" get-type="tidy_button_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="TidyStylable"/>
				<interface name="ClutterContainer"/>
			</implements>
			<method name="get_label" symbol="tidy_button_get_label">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="button" type="TidyButton*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_button_new">
				<return-type type="ClutterActor*"/>
			</constructor>
			<constructor name="new_with_label" symbol="tidy_button_new_with_label">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="text" type="gchar*"/>
				</parameters>
			</constructor>
			<method name="set_label" symbol="tidy_button_set_label">
				<return-type type="void"/>
				<parameters>
					<parameter name="button" type="TidyButton*"/>
					<parameter name="text" type="gchar*"/>
				</parameters>
			</method>
			<property name="label" type="char*" readable="1" writable="1" construct="0" construct-only="0"/>
			<signal name="clicked" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="button" type="TidyButton*"/>
				</parameters>
			</signal>
			<vfunc name="pressed">
				<return-type type="void"/>
				<parameters>
					<parameter name="button" type="TidyButton*"/>
				</parameters>
			</vfunc>
			<vfunc name="released">
				<return-type type="void"/>
				<parameters>
					<parameter name="button" type="TidyButton*"/>
				</parameters>
			</vfunc>
		</object>
		<object name="TidyCellRenderer" parent="GInitiallyUnowned" type-name="TidyCellRenderer" get-type="tidy_cell_renderer_get_type">
			<method name="get_alignment" symbol="tidy_cell_renderer_get_alignment">
				<return-type type="void"/>
				<parameters>
					<parameter name="renderer" type="TidyCellRenderer*"/>
					<parameter name="x_align" type="gdouble*"/>
					<parameter name="y_align" type="gdouble*"/>
				</parameters>
			</method>
			<method name="get_alignmentx" symbol="tidy_cell_renderer_get_alignmentx">
				<return-type type="void"/>
				<parameters>
					<parameter name="renderer" type="TidyCellRenderer*"/>
					<parameter name="x_align" type="ClutterFixed*"/>
					<parameter name="y_align" type="ClutterFixed*"/>
				</parameters>
			</method>
			<method name="get_cell_actor" symbol="tidy_cell_renderer_get_cell_actor">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="renderer" type="TidyCellRenderer*"/>
					<parameter name="list_view" type="TidyActor*"/>
					<parameter name="value" type="GValue*"/>
					<parameter name="state" type="TidyCellState"/>
					<parameter name="size" type="ClutterGeometry*"/>
					<parameter name="row" type="gint"/>
					<parameter name="column" type="gint"/>
				</parameters>
			</method>
			<method name="set_alignment" symbol="tidy_cell_renderer_set_alignment">
				<return-type type="void"/>
				<parameters>
					<parameter name="renderer" type="TidyCellRenderer*"/>
					<parameter name="x_align" type="gdouble"/>
					<parameter name="y_align" type="gdouble"/>
				</parameters>
			</method>
			<method name="set_alignmentx" symbol="tidy_cell_renderer_set_alignmentx">
				<return-type type="void"/>
				<parameters>
					<parameter name="renderer" type="TidyCellRenderer*"/>
					<parameter name="x_align" type="ClutterFixed"/>
					<parameter name="y_align" type="ClutterFixed"/>
				</parameters>
			</method>
			<property name="x-align" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="y-align" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
			<vfunc name="get_cell_actor">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="renderer" type="TidyCellRenderer*"/>
					<parameter name="list_view" type="TidyActor*"/>
					<parameter name="value" type="GValue*"/>
					<parameter name="state" type="TidyCellState"/>
					<parameter name="size" type="ClutterGeometry*"/>
					<parameter name="row" type="gint"/>
					<parameter name="column" type="gint"/>
				</parameters>
			</vfunc>
		</object>
		<object name="TidyCellRendererDefault" parent="TidyCellRenderer" type-name="TidyCellRendererDefault" get-type="tidy_cell_renderer_default_get_type">
			<constructor name="new" symbol="tidy_cell_renderer_default_new">
				<return-type type="TidyCellRenderer*"/>
			</constructor>
		</object>
		<object name="TidyDepthGroup" parent="ClutterGroup" type-name="TidyDepthGroup" get-type="tidy_depth_group_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="ClutterContainer"/>
			</implements>
			<constructor name="new" symbol="tidy_depth_group_new">
				<return-type type="ClutterActor*"/>
			</constructor>
		</object>
		<object name="TidyFingerScroll" parent="TidyScrollView" type-name="TidyFingerScroll" get-type="tidy_finger_scroll_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="TidyStylable"/>
				<interface name="ClutterContainer"/>
			</implements>
			<constructor name="new" symbol="tidy_finger_scroll_new">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="mode" type="TidyFingerScrollMode"/>
				</parameters>
			</constructor>
			<method name="stop" symbol="tidy_finger_scroll_stop">
				<return-type type="void"/>
				<parameters>
					<parameter name="scroll" type="TidyFingerScroll*"/>
				</parameters>
			</method>
			<property name="mode" type="TidyFingerScrollMode" readable="1" writable="1" construct="0" construct-only="0"/>
		</object>
		<object name="TidyFingerToggle" parent="TidyFrame" type-name="TidyFingerToggle" get-type="tidy_finger_toggle_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="TidyStylable"/>
				<interface name="ClutterContainer"/>
			</implements>
			<method name="get_active" symbol="tidy_finger_toggle_get_active">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="toggle" type="TidyFingerToggle*"/>
				</parameters>
			</method>
			<method name="get_handle" symbol="tidy_finger_toggle_get_handle">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="toggle" type="TidyFingerToggle*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_finger_toggle_new">
				<return-type type="ClutterActor*"/>
			</constructor>
			<method name="set_active" symbol="tidy_finger_toggle_set_active">
				<return-type type="void"/>
				<parameters>
					<parameter name="toggle" type="TidyFingerToggle*"/>
					<parameter name="is_active" type="gboolean"/>
				</parameters>
			</method>
			<method name="set_handle" symbol="tidy_finger_toggle_set_handle">
				<return-type type="void"/>
				<parameters>
					<parameter name="toggle" type="TidyFingerToggle*"/>
					<parameter name="handle" type="ClutterActor*"/>
				</parameters>
			</method>
			<property name="active" type="gboolean" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="handle" type="ClutterActor*" readable="1" writable="1" construct="0" construct-only="0"/>
			<signal name="toggled" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="toggle" type="TidyFingerToggle*"/>
				</parameters>
			</signal>
		</object>
		<object name="TidyFrame" parent="TidyActor" type-name="TidyFrame" get-type="tidy_frame_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="TidyStylable"/>
				<interface name="ClutterContainer"/>
			</implements>
			<method name="get_child" symbol="tidy_frame_get_child">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="frame" type="TidyFrame*"/>
				</parameters>
			</method>
			<method name="get_texture" symbol="tidy_frame_get_texture">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="frame" type="TidyFrame*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_frame_new">
				<return-type type="ClutterActor*"/>
			</constructor>
			<method name="set_texture" symbol="tidy_frame_set_texture">
				<return-type type="void"/>
				<parameters>
					<parameter name="frame" type="TidyFrame*"/>
					<parameter name="actor" type="ClutterActor*"/>
				</parameters>
			</method>
			<property name="child" type="ClutterActor*" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="texture" type="ClutterActor*" readable="1" writable="1" construct="0" construct-only="0"/>
		</object>
		<object name="TidyListColumn" parent="GInitiallyUnowned" type-name="TidyListColumn" get-type="tidy_list_column_get_type">
			<method name="get_cell_renderer" symbol="tidy_list_column_get_cell_renderer">
				<return-type type="TidyCellRenderer*"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_header_renderer" symbol="tidy_list_column_get_header_renderer">
				<return-type type="TidyCellRenderer*"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_max_width" symbol="tidy_list_column_get_max_width">
				<return-type type="gint"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_max_widthu" symbol="tidy_list_column_get_max_widthu">
				<return-type type="ClutterUnit"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_min_width" symbol="tidy_list_column_get_min_width">
				<return-type type="gint"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_min_widthu" symbol="tidy_list_column_get_min_widthu">
				<return-type type="ClutterUnit"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_model_index" symbol="tidy_list_column_get_model_index">
				<return-type type="guint"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_title" symbol="tidy_list_column_get_title">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_visible" symbol="tidy_list_column_get_visible">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_width" symbol="tidy_list_column_get_width">
				<return-type type="guint"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_widthu" symbol="tidy_list_column_get_widthu">
				<return-type type="ClutterUnit"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="set_cell_renderer" symbol="tidy_list_column_set_cell_renderer">
				<return-type type="void"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
					<parameter name="renderer" type="TidyCellRenderer*"/>
				</parameters>
			</method>
			<method name="set_header_renderer" symbol="tidy_list_column_set_header_renderer">
				<return-type type="void"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
					<parameter name="renderer" type="TidyCellRenderer*"/>
				</parameters>
			</method>
			<method name="set_max_width" symbol="tidy_list_column_set_max_width">
				<return-type type="void"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
					<parameter name="max_width" type="gint"/>
				</parameters>
			</method>
			<method name="set_max_widthu" symbol="tidy_list_column_set_max_widthu">
				<return-type type="void"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
					<parameter name="max_width" type="ClutterUnit"/>
				</parameters>
			</method>
			<method name="set_min_width" symbol="tidy_list_column_set_min_width">
				<return-type type="void"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
					<parameter name="min_width" type="gint"/>
				</parameters>
			</method>
			<method name="set_min_widthu" symbol="tidy_list_column_set_min_widthu">
				<return-type type="void"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
					<parameter name="min_width" type="ClutterUnit"/>
				</parameters>
			</method>
			<method name="set_visible" symbol="tidy_list_column_set_visible">
				<return-type type="void"/>
				<parameters>
					<parameter name="column" type="TidyListColumn*"/>
					<parameter name="visible" type="gboolean"/>
				</parameters>
			</method>
			<property name="cell-renderer" type="TidyCellRenderer*" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="header-renderer" type="TidyCellRenderer*" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="list-view" type="TidyListView*" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="max-width" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="min-width" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="model-index" type="guint" readable="1" writable="1" construct="0" construct-only="1"/>
			<property name="title" type="char*" readable="1" writable="0" construct="0" construct-only="0"/>
			<property name="visible" type="gboolean" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="width" type="guint" readable="1" writable="0" construct="0" construct-only="0"/>
		</object>
		<object name="TidyListColumnDefault" parent="TidyListColumn" type-name="TidyListColumnDefault" get-type="tidy_list_column_default_get_type">
			<constructor name="new" symbol="tidy_list_column_default_new">
				<return-type type="TidyListColumn*"/>
				<parameters>
					<parameter name="list_view" type="TidyListView*"/>
					<parameter name="model_index" type="guint"/>
				</parameters>
			</constructor>
		</object>
		<object name="TidyListView" parent="TidyActor" type-name="TidyListView" get-type="tidy_list_view_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="TidyStylable"/>
				<interface name="TidyScrollable"/>
			</implements>
			<method name="add_column" symbol="tidy_list_view_add_column">
				<return-type type="gint"/>
				<parameters>
					<parameter name="view" type="TidyListView*"/>
					<parameter name="column" type="TidyListColumn*"/>
				</parameters>
			</method>
			<method name="get_column" symbol="tidy_list_view_get_column">
				<return-type type="TidyListColumn*"/>
				<parameters>
					<parameter name="view" type="TidyListView*"/>
					<parameter name="column_id" type="gint"/>
				</parameters>
			</method>
			<method name="get_model" symbol="tidy_list_view_get_model">
				<return-type type="ClutterModel*"/>
				<parameters>
					<parameter name="view" type="TidyListView*"/>
				</parameters>
			</method>
			<method name="get_row_at_pos" symbol="tidy_list_view_get_row_at_pos">
				<return-type type="gint"/>
				<parameters>
					<parameter name="view" type="TidyListView*"/>
					<parameter name="x_coord" type="gint"/>
					<parameter name="y_coord" type="gint"/>
				</parameters>
			</method>
			<method name="get_rules_hint" symbol="tidy_list_view_get_rules_hint">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="view" type="TidyListView*"/>
				</parameters>
			</method>
			<method name="get_show_headers" symbol="tidy_list_view_get_show_headers">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="view" type="TidyListView*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_list_view_new">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="model" type="ClutterModel*"/>
				</parameters>
			</constructor>
			<method name="set_model" symbol="tidy_list_view_set_model">
				<return-type type="void"/>
				<parameters>
					<parameter name="view" type="TidyListView*"/>
					<parameter name="model" type="ClutterModel*"/>
				</parameters>
			</method>
			<method name="set_rules_hint" symbol="tidy_list_view_set_rules_hint">
				<return-type type="void"/>
				<parameters>
					<parameter name="view" type="TidyListView*"/>
					<parameter name="rules_hint" type="gboolean"/>
				</parameters>
			</method>
			<method name="set_show_headers" symbol="tidy_list_view_set_show_headers">
				<return-type type="void"/>
				<parameters>
					<parameter name="view" type="TidyListView*"/>
					<parameter name="show_headers" type="gboolean"/>
				</parameters>
			</method>
			<property name="model" type="ClutterModel*" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="rules-hint" type="gboolean" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="show-headers" type="gboolean" readable="1" writable="1" construct="0" construct-only="0"/>
			<signal name="row-clicked" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="list_view" type="TidyListView*"/>
					<parameter name="model" type="ClutterModel*"/>
					<parameter name="iter" type="ClutterModelIter*"/>
				</parameters>
			</signal>
			<vfunc name="create_column">
				<return-type type="TidyListColumn*"/>
				<parameters>
					<parameter name="list_view" type="TidyListView*"/>
					<parameter name="model_id" type="guint"/>
				</parameters>
			</vfunc>
		</object>
		<object name="TidyNotebook" parent="TidyActor" type-name="TidyNotebook" get-type="tidy_notebook_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="TidyStylable"/>
			</implements>
			<method name="get_current_page" symbol="tidy_notebook_get_current_page">
				<return-type type="gint"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
				</parameters>
			</method>
			<method name="get_n_pages" symbol="tidy_notebook_get_n_pages">
				<return-type type="gint"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
				</parameters>
			</method>
			<method name="get_nth_label" symbol="tidy_notebook_get_nth_label">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="page_num" type="gint"/>
				</parameters>
			</method>
			<method name="get_nth_page" symbol="tidy_notebook_get_nth_page">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="page_num" type="gint"/>
				</parameters>
			</method>
			<method name="get_scrollable" symbol="tidy_notebook_get_scrollable">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
				</parameters>
			</method>
			<method name="get_tab_alignment" symbol="tidy_notebook_get_tab_alignment">
				<return-type type="gdouble"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
				</parameters>
			</method>
			<method name="get_tab_position" symbol="tidy_notebook_get_tab_position">
				<return-type type="TidyPosition"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
				</parameters>
			</method>
			<method name="insert_page" symbol="tidy_notebook_insert_page">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="label" type="ClutterActor*"/>
					<parameter name="page" type="ClutterActor*"/>
					<parameter name="position" type="gint"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_notebook_new">
				<return-type type="ClutterActor*"/>
			</constructor>
			<method name="remove_page" symbol="tidy_notebook_remove_page">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="page_num" type="gint"/>
				</parameters>
			</method>
			<method name="reorder_page" symbol="tidy_notebook_reorder_page">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="position" type="gint"/>
					<parameter name="new_position" type="gint"/>
				</parameters>
			</method>
			<method name="set_current_page" symbol="tidy_notebook_set_current_page">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="page_num" type="gint"/>
				</parameters>
			</method>
			<method name="set_scrollable" symbol="tidy_notebook_set_scrollable">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="scrollable" type="gboolean"/>
				</parameters>
			</method>
			<method name="set_tab_alignment" symbol="tidy_notebook_set_tab_alignment">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="alignment" type="gdouble"/>
				</parameters>
			</method>
			<method name="set_tab_position" symbol="tidy_notebook_set_tab_position">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="position" type="TidyPosition"/>
				</parameters>
			</method>
			<method name="transition_complete" symbol="tidy_notebook_transition_complete">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="old_page" type="ClutterActor*"/>
				</parameters>
			</method>
			<property name="current-page" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="scrollable" type="gboolean" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="tab-alignment" type="gdouble" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="tab-position" type="TidyPosition" readable="1" writable="1" construct="0" construct-only="0"/>
			<signal name="page-added" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="page_num" type="guint"/>
				</parameters>
			</signal>
			<signal name="page-removed" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="page_num" type="guint"/>
				</parameters>
			</signal>
			<signal name="page-reordered" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="old_page_num" type="guint"/>
					<parameter name="new_page_num" type="guint"/>
				</parameters>
			</signal>
			<vfunc name="transition">
				<return-type type="void"/>
				<parameters>
					<parameter name="notebook" type="TidyNotebook*"/>
					<parameter name="old_page" type="ClutterActor*"/>
					<parameter name="new_page" type="ClutterActor*"/>
				</parameters>
			</vfunc>
		</object>
		<object name="TidyProxyTexture" parent="ClutterActor" type-name="TidyProxyTexture" get-type="tidy_proxy_texture_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
			</implements>
			<method name="get_path" symbol="tidy_proxy_texture_get_path">
				<return-type type="gchar*"/>
				<parameters>
					<parameter name="proxy" type="TidyProxyTexture*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_proxy_texture_new">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="path" type="gchar*"/>
				</parameters>
			</constructor>
			<property name="path" type="char*" readable="1" writable="1" construct="0" construct-only="0"/>
		</object>
		<object name="TidyScrollBar" parent="TidyFrame" type-name="TidyScrollBar" get-type="tidy_scroll_bar_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="TidyStylable"/>
				<interface name="ClutterContainer"/>
			</implements>
			<method name="get_adjustment" symbol="tidy_scroll_bar_get_adjustment">
				<return-type type="TidyAdjustment*"/>
				<parameters>
					<parameter name="bar" type="TidyScrollBar*"/>
				</parameters>
			</method>
			<method name="get_handle" symbol="tidy_scroll_bar_get_handle">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="bar" type="TidyScrollBar*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_scroll_bar_new">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
				</parameters>
			</constructor>
			<constructor name="new_with_handle" symbol="tidy_scroll_bar_new_with_handle">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="adjustment" type="TidyAdjustment*"/>
					<parameter name="handle" type="ClutterActor*"/>
				</parameters>
			</constructor>
			<method name="set_adjustment" symbol="tidy_scroll_bar_set_adjustment">
				<return-type type="void"/>
				<parameters>
					<parameter name="bar" type="TidyScrollBar*"/>
					<parameter name="adjustment" type="TidyAdjustment*"/>
				</parameters>
			</method>
			<method name="set_handle" symbol="tidy_scroll_bar_set_handle">
				<return-type type="void"/>
				<parameters>
					<parameter name="bar" type="TidyScrollBar*"/>
					<parameter name="handle" type="ClutterActor*"/>
				</parameters>
			</method>
			<property name="adjustment" type="TidyAdjustment*" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="handle" type="ClutterActor*" readable="1" writable="1" construct="0" construct-only="0"/>
		</object>
		<object name="TidyScrollView" parent="TidyActor" type-name="TidyScrollView" get-type="tidy_scroll_view_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="TidyStylable"/>
				<interface name="ClutterContainer"/>
			</implements>
			<method name="get_child" symbol="tidy_scroll_view_get_child">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="scroll" type="TidyScrollView*"/>
				</parameters>
			</method>
			<method name="get_hscroll_bar" symbol="tidy_scroll_view_get_hscroll_bar">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="scroll" type="TidyScrollView*"/>
				</parameters>
			</method>
			<method name="get_vscroll_bar" symbol="tidy_scroll_view_get_vscroll_bar">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="scroll" type="TidyScrollView*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_scroll_view_new">
				<return-type type="ClutterActor*"/>
			</constructor>
			<property name="child" type="ClutterActor*" readable="1" writable="0" construct="0" construct-only="0"/>
			<property name="hscroll" type="TidyScrollBar*" readable="1" writable="0" construct="0" construct-only="0"/>
			<property name="vscroll" type="TidyScrollBar*" readable="1" writable="0" construct="0" construct-only="0"/>
		</object>
		<object name="TidyStyle" parent="GObject" type-name="TidyStyle" get-type="tidy_style_get_type">
			<method name="add_effect" symbol="tidy_style_add_effect">
				<return-type type="void"/>
				<parameters>
					<parameter name="style" type="TidyStyle*"/>
					<parameter name="effect_name" type="gchar*"/>
				</parameters>
			</method>
			<method name="add_property" symbol="tidy_style_add_property">
				<return-type type="void"/>
				<parameters>
					<parameter name="style" type="TidyStyle*"/>
					<parameter name="property_name" type="gchar*"/>
					<parameter name="property_type" type="GType"/>
				</parameters>
			</method>
			<method name="get_default" symbol="tidy_style_get_default">
				<return-type type="TidyStyle*"/>
			</method>
			<method name="get_effect" symbol="tidy_style_get_effect">
				<return-type type="ClutterTimeline*"/>
				<parameters>
					<parameter name="style" type="TidyStyle*"/>
					<parameter name="effect_name" type="gchar*"/>
					<parameter name="actor" type="ClutterActor*"/>
				</parameters>
			</method>
			<method name="get_property" symbol="tidy_style_get_property">
				<return-type type="void"/>
				<parameters>
					<parameter name="style" type="TidyStyle*"/>
					<parameter name="property_name" type="gchar*"/>
					<parameter name="value" type="GValue*"/>
				</parameters>
			</method>
			<method name="has_effect" symbol="tidy_style_has_effect">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="style" type="TidyStyle*"/>
					<parameter name="effect_name" type="gchar*"/>
				</parameters>
			</method>
			<method name="has_property" symbol="tidy_style_has_property">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="style" type="TidyStyle*"/>
					<parameter name="property_name" type="gchar*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_style_new">
				<return-type type="TidyStyle*"/>
			</constructor>
			<method name="set_effect" symbol="tidy_style_set_effect">
				<return-type type="void"/>
				<parameters>
					<parameter name="style" type="TidyStyle*"/>
					<parameter name="effect_name" type="gchar*"/>
					<parameter name="duration" type="guint"/>
					<parameter name="behaviour_type" type="GType"/>
					<parameter name="alpha_func" type="ClutterAlphaFunc"/>
					<parameter name="first_property_name" type="gchar*"/>
				</parameters>
			</method>
			<method name="set_effectv" symbol="tidy_style_set_effectv">
				<return-type type="void"/>
				<parameters>
					<parameter name="style" type="TidyStyle*"/>
					<parameter name="effect_name" type="gchar*"/>
					<parameter name="duration" type="guint"/>
					<parameter name="behaviour_type" type="GType"/>
					<parameter name="alpha_func" type="ClutterAlphaFunc"/>
					<parameter name="n_parameters" type="guint"/>
					<parameter name="parameters" type="GParameter*"/>
				</parameters>
			</method>
			<method name="set_property" symbol="tidy_style_set_property">
				<return-type type="void"/>
				<parameters>
					<parameter name="style" type="TidyStyle*"/>
					<parameter name="property_name" type="gchar*"/>
					<parameter name="value" type="GValue*"/>
				</parameters>
			</method>
			<signal name="changed" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="style" type="TidyStyle*"/>
				</parameters>
			</signal>
		</object>
		<object name="TidyTextureCache" parent="GObject" type-name="TidyTextureCache" get-type="tidy_texture_cache_get_type">
			<method name="get_default" symbol="tidy_texture_cache_get_default">
				<return-type type="TidyTextureCache*"/>
			</method>
			<method name="get_size" symbol="tidy_texture_cache_get_size">
				<return-type type="gint"/>
				<parameters>
					<parameter name="self" type="TidyTextureCache*"/>
				</parameters>
			</method>
			<method name="get_texture" symbol="tidy_texture_cache_get_texture">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="self" type="TidyTextureCache*"/>
					<parameter name="path" type="gchar*"/>
					<parameter name="want_clone" type="gboolean"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_texture_cache_new">
				<return-type type="TidyTextureCache*"/>
			</constructor>
		</object>
		<object name="TidyTextureFrame" parent="ClutterCloneTexture" type-name="TidyTextureFrame" get-type="tidy_texture_frame_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
			</implements>
			<constructor name="new" symbol="tidy_texture_frame_new">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="texture" type="ClutterTexture*"/>
					<parameter name="left" type="gint"/>
					<parameter name="top" type="gint"/>
					<parameter name="right" type="gint"/>
					<parameter name="bottom" type="gint"/>
				</parameters>
			</constructor>
			<property name="bottom" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="left" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="right" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="top" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
		</object>
		<object name="TidyTextureReflection" parent="ClutterCloneTexture" type-name="TidyTextureReflection" get-type="tidy_texture_reflection_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
			</implements>
			<method name="get_reflection_height" symbol="tidy_texture_reflection_get_reflection_height">
				<return-type type="gint"/>
				<parameters>
					<parameter name="texture" type="TidyTextureReflection*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_texture_reflection_new">
				<return-type type="ClutterActor*"/>
				<parameters>
					<parameter name="parent_texture" type="ClutterTexture*"/>
				</parameters>
			</constructor>
			<method name="set_reflection_height" symbol="tidy_texture_reflection_set_reflection_height">
				<return-type type="void"/>
				<parameters>
					<parameter name="texture" type="TidyTextureReflection*"/>
					<parameter name="height" type="gint"/>
				</parameters>
			</method>
			<property name="reflection-height" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
		</object>
		<object name="TidyViewport" parent="ClutterGroup" type-name="TidyViewport" get-type="tidy_viewport_get_type">
			<implements>
				<interface name="ClutterScriptable"/>
				<interface name="ClutterContainer"/>
				<interface name="TidyScrollable"/>
			</implements>
			<method name="get_origin" symbol="tidy_viewport_get_origin">
				<return-type type="void"/>
				<parameters>
					<parameter name="viewport" type="TidyViewport*"/>
					<parameter name="x" type="gint*"/>
					<parameter name="y" type="gint*"/>
					<parameter name="z" type="gint*"/>
				</parameters>
			</method>
			<method name="get_originu" symbol="tidy_viewport_get_originu">
				<return-type type="void"/>
				<parameters>
					<parameter name="viewport" type="TidyViewport*"/>
					<parameter name="x" type="ClutterUnit*"/>
					<parameter name="y" type="ClutterUnit*"/>
					<parameter name="z" type="ClutterUnit*"/>
				</parameters>
			</method>
			<constructor name="new" symbol="tidy_viewport_new">
				<return-type type="ClutterActor*"/>
			</constructor>
			<method name="set_origin" symbol="tidy_viewport_set_origin">
				<return-type type="void"/>
				<parameters>
					<parameter name="viewport" type="TidyViewport*"/>
					<parameter name="x" type="gint"/>
					<parameter name="y" type="gint"/>
					<parameter name="z" type="gint"/>
				</parameters>
			</method>
			<method name="set_originu" symbol="tidy_viewport_set_originu">
				<return-type type="void"/>
				<parameters>
					<parameter name="viewport" type="TidyViewport*"/>
					<parameter name="x" type="ClutterUnit"/>
					<parameter name="y" type="ClutterUnit"/>
					<parameter name="z" type="ClutterUnit"/>
				</parameters>
			</method>
			<property name="sync-adjustments" type="gboolean" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="x-origin" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="y-origin" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
			<property name="z-origin" type="gint" readable="1" writable="1" construct="0" construct-only="0"/>
		</object>
		<interface name="TidyScrollable" type-name="TidyScrollable" get-type="tidy_scrollable_get_type">
			<method name="get_adjustments" symbol="tidy_scrollable_get_adjustments">
				<return-type type="void"/>
				<parameters>
					<parameter name="scrollable" type="TidyScrollable*"/>
					<parameter name="hadjustment" type="TidyAdjustment**"/>
					<parameter name="vadjustment" type="TidyAdjustment**"/>
				</parameters>
			</method>
			<method name="set_adjustments" symbol="tidy_scrollable_set_adjustments">
				<return-type type="void"/>
				<parameters>
					<parameter name="scrollable" type="TidyScrollable*"/>
					<parameter name="hadjustment" type="TidyAdjustment*"/>
					<parameter name="vadjustment" type="TidyAdjustment*"/>
				</parameters>
			</method>
			<vfunc name="get_adjustments">
				<return-type type="void"/>
				<parameters>
					<parameter name="scrollable" type="TidyScrollable*"/>
					<parameter name="hadjustment" type="TidyAdjustment**"/>
					<parameter name="vadjustment" type="TidyAdjustment**"/>
				</parameters>
			</vfunc>
			<vfunc name="set_adjustments">
				<return-type type="void"/>
				<parameters>
					<parameter name="scrollable" type="TidyScrollable*"/>
					<parameter name="hadjustment" type="TidyAdjustment*"/>
					<parameter name="vadjustment" type="TidyAdjustment*"/>
				</parameters>
			</vfunc>
		</interface>
		<interface name="TidyStylable" type-name="TidyStylable" get-type="tidy_stylable_get_type">
			<method name="find_property" symbol="tidy_stylable_find_property">
				<return-type type="GParamSpec*"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="property_name" type="gchar*"/>
				</parameters>
			</method>
			<method name="freeze_notify" symbol="tidy_stylable_freeze_notify">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
				</parameters>
			</method>
			<method name="get" symbol="tidy_stylable_get">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="first_property_name" type="gchar*"/>
				</parameters>
			</method>
			<method name="get_property" symbol="tidy_stylable_get_property">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="property_name" type="gchar*"/>
					<parameter name="value" type="GValue*"/>
				</parameters>
			</method>
			<method name="get_style" symbol="tidy_stylable_get_style">
				<return-type type="TidyStyle*"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
				</parameters>
			</method>
			<method name="iface_install_property" symbol="tidy_stylable_iface_install_property">
				<return-type type="void"/>
				<parameters>
					<parameter name="iface" type="TidyStylableIface*"/>
					<parameter name="owner_type" type="GType"/>
					<parameter name="pspec" type="GParamSpec*"/>
				</parameters>
			</method>
			<method name="list_properties" symbol="tidy_stylable_list_properties">
				<return-type type="GParamSpec**"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="n_props" type="guint*"/>
				</parameters>
			</method>
			<method name="notify" symbol="tidy_stylable_notify">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="property_name" type="gchar*"/>
				</parameters>
			</method>
			<method name="set" symbol="tidy_stylable_set">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="first_property_name" type="gchar*"/>
				</parameters>
			</method>
			<method name="set_property" symbol="tidy_stylable_set_property">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="property_name" type="gchar*"/>
					<parameter name="value" type="GValue*"/>
				</parameters>
			</method>
			<method name="set_style" symbol="tidy_stylable_set_style">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="style" type="TidyStyle*"/>
				</parameters>
			</method>
			<method name="thaw_notify" symbol="tidy_stylable_thaw_notify">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
				</parameters>
			</method>
			<signal name="style-notify" when="FIRST">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="pspec" type="GParamSpec*"/>
				</parameters>
			</signal>
			<signal name="style-set" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="old_style" type="TidyStyle*"/>
				</parameters>
			</signal>
			<vfunc name="get_style">
				<return-type type="TidyStyle*"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
				</parameters>
			</vfunc>
			<vfunc name="set_style">
				<return-type type="void"/>
				<parameters>
					<parameter name="stylable" type="TidyStylable*"/>
					<parameter name="style" type="TidyStyle*"/>
				</parameters>
			</vfunc>
		</interface>
		<constant name="TIDY_ACTIVE_COLOR" type="char*" value="TidyActor::active-color"/>
		<constant name="TIDY_BACKGROUND_COLOR" type="char*" value="TidyActor::bg-color"/>
		<constant name="TIDY_FONT_NAME" type="char*" value="TidyActor::font-name"/>
		<constant name="TIDY_MAJOR_VERSION" type="int" value="0"/>
		<constant name="TIDY_MICRO_VERSION" type="int" value="0"/>
		<constant name="TIDY_MINOR_VERSION" type="int" value="1"/>
		<constant name="TIDY_TEXT_COLOR" type="char*" value="TidyActor::text-color"/>
		<constant name="TIDY_VERSION_HEX" type="int" value="0"/>
		<constant name="TIDY_VERSION_S" type="char*" value="0.1.0"/>
	</namespace>
</api>
