#include <stdio.h>
#include <stdlib.h>

#include <clutter/clutter.h>
#include <tidy/tidy.h>

int
main (int argc, char *argv[])
{
  ClutterActor     *stage, *frame, *tex;
  ClutterTimeline  *timeline;
  ClutterAlpha     *alpha;
  ClutterBehaviour *grow, *move;

  ClutterKnot path[2] = { {0, 0}, {0, 0}};

  ClutterColor   stage_color = { 0xff, 0xff, 0xff, 0xff };

  clutter_init (&argc, &argv);

  stage = clutter_stage_get_default ();

  clutter_stage_set_color (CLUTTER_STAGE (stage),
			   &stage_color);

  tex = g_object_new (CLUTTER_TYPE_TEXTURE,
                      "filename", "frame.png",
                      "disable-slicing", TRUE,
                      NULL);
  if (!tex)
    g_error ("Unable to load frame.png");

  frame = tidy_texture_frame_new (CLUTTER_TEXTURE(tex), 20, 20, 20, 20);

  clutter_group_add (stage, frame);
  clutter_actor_set_size (frame, 64, 48);

  path[0].x = (clutter_actor_get_width (stage)-64)/2;
  path[0].y = (clutter_actor_get_height (stage)-48)/2;

  clutter_actor_set_position (frame, path[0].x, path[0].y);

  clutter_actor_show_all (stage);

  timeline = clutter_timeline_new_for_duration (500); 

  alpha = clutter_alpha_new_full (timeline,
                                  CLUTTER_ALPHA_SMOOTHSTEP_INC,
                                  NULL, NULL);

  grow = tidy_behaviour_grow_new (alpha, 64, 48, 640, 480);
  move = clutter_behaviour_path_new (alpha, path, 2);

  clutter_behaviour_apply (grow, frame);
  clutter_behaviour_apply (move, frame);

  clutter_timeline_start (timeline);

  clutter_main ();

  return EXIT_SUCCESS;
}
