#include <stdio.h>
#include <stdlib.h>

#include <clutter/clutter.h>
#include <tidy/tidy.h>

static void
texture_loaded_cb (TidyTextureCache *cache,
                   const gchar      *path,
                   ClutterActor     *a4)
{
  clutter_main_quit ();
}

int
main (int argc, char *argv[])
{
  TidyTextureCache *cache;
  ClutterActor *a1, *a2, *a3;

  /* Initialise threads for asynchronous texture loading */
  g_thread_init (NULL);
  clutter_threads_init ();

  clutter_init (&argc, &argv);
  
  cache = tidy_texture_cache_get_default ();
  
  g_signal_connect (cache, "loaded", G_CALLBACK (texture_loaded_cb), NULL);
  
  /* Note that these async calls will probably trigger Gnome bug #549711 */
  tidy_texture_cache_get_texture_async (cache, "frame.png");

  tidy_texture_cache_get_texture_async (cache, "frame.png");
  
  a1 = tidy_texture_cache_get_texture (cache, "frame.png", FALSE);

  a2 = tidy_texture_cache_get_texture (cache, "frame.png", FALSE);

  a3 = tidy_texture_cache_get_texture (cache, "frame.png", TRUE);

  printf("Cache Size before unref: %i\n", tidy_texture_cache_get_size (cache));

  clutter_main ();

  g_object_unref (a1);
  g_object_unref (a2);
  g_object_unref (a3);

  printf("Cache Size after unref: %i\n", tidy_texture_cache_get_size (cache));

  return EXIT_SUCCESS;
}
