#include <stdio.h>
#include <stdlib.h>

#include <clutter/clutter.h>
#include <tidy/tidy.h>

int
main (int argc, char *argv[])
{
  ClutterActor  *stage, *tex, *frame1, *frame2, *frame3, *frame4;
  ClutterColor   stage_color = { 0x0, 0x0, 0x0, 0xff };

  clutter_init (&argc, &argv);

  stage = clutter_stage_get_default ();

  clutter_stage_set_color (CLUTTER_STAGE (stage),
			   &stage_color);

  tex = g_object_new (CLUTTER_TYPE_TEXTURE,
                      "filename", "frame.png",
                      "disable-slicing", TRUE,
                      NULL);
  if (tex == NULL)
    g_error ("Unable to load frame.png");

  frame1 = tidy_texture_frame_new (CLUTTER_TEXTURE(tex), 20, 20, 20, 20);
  frame2 = tidy_texture_frame_new (CLUTTER_TEXTURE(tex), 20, 20, 20, 20);
  frame3 = tidy_texture_frame_new (CLUTTER_TEXTURE(tex), 20, 20, 20, 20);
  frame4 = tidy_texture_frame_new (CLUTTER_TEXTURE(tex), 20, 20, 20, 20);


  clutter_group_add (CLUTTER_GROUP(stage), frame1);
  clutter_group_add (CLUTTER_GROUP(stage), frame2);
  clutter_group_add (CLUTTER_GROUP(stage), frame3);
  clutter_group_add (CLUTTER_GROUP(stage), frame4);
  clutter_actor_set_size (frame1, 640, 480);
  clutter_actor_set_size (frame2, 320, 240);
  clutter_actor_set_size (frame3, 180, 320);

  clutter_actor_show_all (stage);

  clutter_main ();

  return EXIT_SUCCESS;
}
