#include <stdio.h>
#include <stdlib.h>

#include <clutter/clutter.h>
#include <tidy/tidy.h>

int
main (int argc, char *argv[])
{
  ClutterActor     *stage, *tex;
  ClutterAlpha     *alpha;
  ClutterTimeline  *timeline;
  ClutterBehaviour *behaviour;
  ClutterColor      stage_color = { 0x0, 0x0, 0x0, 0xff };

  clutter_init (&argc, &argv);

  stage = clutter_stage_get_default ();

  clutter_stage_set_color (CLUTTER_STAGE (stage), &stage_color);

  tex = g_object_new (TIDY_TYPE_PROXY_TEXTURE,
                      "path", (argc > 1) ? argv[1] : "frame.png",
                      "use-thumbs", TRUE,
                      NULL);

  if (tex == NULL)
    g_error ("Unable to load frame.png");

  timeline = clutter_timeline_new_for_duration (3000);
  alpha = clutter_alpha_new_full (timeline, CLUTTER_ALPHA_SINE, NULL, NULL);
  behaviour = tidy_behaviour_grow_new (alpha, 32, 32, 512, 512);

  clutter_behaviour_apply (behaviour, tex);
  clutter_timeline_set_loop (timeline, TRUE);
  clutter_timeline_start (timeline);

  clutter_group_add (CLUTTER_GROUP(stage), tex);
  clutter_actor_show_all (stage);

  clutter_main ();

  return EXIT_SUCCESS;
}
